org.apache.olingo.server.api.serializer

## Class EntityCollectionSerializerOptions.Builder

- java.lang.Object
- - org.apache.olingo.server.api.serializer.EntityCollectionSerializerOptions.Builder

- Enclosing class:
    EntityCollectionSerializerOptions

      public static final class EntityCollectionSerializerOptions.Builder
      extends Object

  Builder of OData serializer options.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityCollectionSerializerOptions` | `build()` Builds the OData serializer options.
    `EntityCollectionSerializerOptions.Builder` | `contextURL(ContextURL contextURL)` Sets the `ContextURL`.
    `EntityCollectionSerializerOptions.Builder` | `count(CountOption count)` Sets the $count system query option.
    `EntityCollectionSerializerOptions.Builder` | `expand(ExpandOption expand)` Sets the $expand system query option.
    `EntityCollectionSerializerOptions.Builder` | `id(String id)` Sets id of the collection
    `EntityCollectionSerializerOptions.Builder` | `isFullRepresentation(boolean isFullRepresentation)` sets isFullRepresentation to represent inline entries
    `EntityCollectionSerializerOptions.Builder` | `select(SelectOption select)` Sets the $select system query option.
    `EntityCollectionSerializerOptions.Builder` | `writeContentErrorCallback(ODataContentWriteErrorCallback ODataContentWriteErrorCallback)` Set the callback which is used in case of an exception during write of the content.
    `EntityCollectionSerializerOptions.Builder` | `writeOnlyReferences(boolean ref)` Sets to serialize only references
    `EntityCollectionSerializerOptions.Builder` | `xml10InvalidCharReplacement(String replacement)` set the replacement String for xml 1.0 unicode controlled characters that are not allowed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### contextURL

          public EntityCollectionSerializerOptions.Builder contextURL(ContextURL contextURL)

      Sets the `ContextURL`.

    - #### count

          public EntityCollectionSerializerOptions.Builder count(CountOption count)

      Sets the $count system query option.

    - #### expand

          public EntityCollectionSerializerOptions.Builder expand(ExpandOption expand)

      Sets the $expand system query option.

    - #### select

          public EntityCollectionSerializerOptions.Builder select(SelectOption select)

      Sets the $select system query option.

    - #### writeOnlyReferences

          public EntityCollectionSerializerOptions.Builder writeOnlyReferences(boolean ref)

      Sets to serialize only references

    - #### id

          public EntityCollectionSerializerOptions.Builder id(String id)

      Sets id of the collection

    - #### writeContentErrorCallback

          public EntityCollectionSerializerOptions.Builder writeContentErrorCallback(ODataContentWriteErrorCallback ODataContentWriteErrorCallback)

      Set the callback which is used in case of an exception during write of the content.
      Parameters:
        `ODataContentWriteErrorCallback` - the callback
      Returns:
        the builder

    - #### xml10InvalidCharReplacement

          public EntityCollectionSerializerOptions.Builder xml10InvalidCharReplacement(String replacement)

      set the replacement String for xml 1.0 unicode controlled characters that are not allowed

    - #### isFullRepresentation

          public EntityCollectionSerializerOptions.Builder isFullRepresentation(boolean isFullRepresentation)

      sets isFullRepresentation to represent inline entries

    - #### build

          public EntityCollectionSerializerOptions build()

      Builds the OData serializer options.

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.